<template>
    <FlexboxLayout flexDirection="column">
        <FlexboxLayout flexDirection="column" class="profile-info">
            <Label class="profile-name" text="Nathan Rousseau"/>
            <Label class="profile-email" text="whyztrap@gmail.com"/>
        </FlexboxLayout>

        <FlexboxLayout class="menu">
            <FlexboxLayout flexDirection="column">
                <FlexboxLayout flexDirection="row"
                               @tap="onNavigationItemTap(Home)" class="menu-item">
                    <Image src="~/assets/images/search.png" class="menu-icon" stretch="fill"></Image>
                    <Label col="1" text="Rechercher" class="menu-text"/>
                </FlexboxLayout>

                <FlexboxLayout flexDirection="row"
                               @tap="onNavigationItemTap(Reservation)" class="menu-item">
                    <Image src="~/assets/images/booking.png" class="menu-icon" stretch="fill"></Image>
                    <Label col="1" text="Mes réservations" class="menu-text"/>
                </FlexboxLayout>

                <FlexboxLayout flexDirection="row"
                               @tap="onNavigationItemTap(Home)" class="menu-item">
                    <Image src="~/assets/images/home.png" class="menu-icon" stretch="fill"></Image>
                    <Label col="1" text="Mes logements" class="menu-text"/>
                </FlexboxLayout>

                <FlexboxLayout flexDirection="row"
                               @tap="onNavigationItemTap(Home)" class="menu-item">
                    <Image src="~/assets/images/user.png" class="menu-icon" stretch="fill"></Image>
                    <Label col="1" text="Mon Compte" class="menu-text"/>
                </FlexboxLayout>
            </FlexboxLayout>
        </FlexboxLayout>

        <AbsoluteLayout>
            <Button text="Me déconnecter" left="50" top="250" @tap="goToPage(pages.component)" class="my-button"/>
        </AbsoluteLayout>
    </FlexboxLayout>
</template>

<script>
export default {
    data() {
        return {
            Home: this.$routes.Home,
            Reservation: this.$routes.Reservation,
        };
    },
    methods: {
        onNavigationItemTap(component) {
            this.$navigateTo(component);
        }
    }
};
</script>

<style scoped>

.profile-info {
    margin: 10;
}

.profile-name {
    text-align: left;
    font-size: 18px;
    color: #2d2d2d;
    margin-bottom: 5;
}

.profile-email {
    text-align: left;
    font-size: 18px;
    color: #2d2d2d;
}

.menu {
    margin: 10;
    width: 100%;
}

.menu-item {
    border-bottom-width: 1;
    border-bottom-color: #a1a1a1;
    padding-bottom: 15;
    padding-top: 15;
    width: 100%;
}

.menu-icon {
    margin-right: 10;
    width: 20;
    height: 20;
}

.menu-text {
    font-size: 16px;
    color: #2d2d2d;
}

.logout {
    justify-content: center;
}

.my-button {
    background-color: #339e33;
    color: white;
    border-radius: 10;
    padding: 5 15;
    text-transform: uppercase;
    letter-spacing: 0.1;
    margin: 50px 70px 20;
    font-size: 10;
}

</style>
